Skip to main content
GET
/
user
/
historic-orders
Historic Orders
curl --request GET \
  --url https://api.qfex.com/user/historic-orders \
  --header 'x-qfex-hmac-signature: <api-key>' \
  --header 'x-qfex-nonce: <api-key>' \
  --header 'x-qfex-public-key: <api-key>' \
  --header 'x-qfex-timestamp: <api-key>'
{
  "count": 123,
  "data": [
    {
      "avg_price": 123,
      "client_order_id": "<string>",
      "execution_state": "<string>",
      "filled_qty": 123,
      "first_fill_ts": "2023-11-07T05:31:56Z",
      "last_fill_ts": "2023-11-07T05:31:56Z",
      "order_id": "<string>",
      "passive_qty": 123,
      "price": 123,
      "quantity": 123,
      "side": "<string>",
      "status_ts": "2023-11-07T05:31:56Z",
      "symbol": "<string>",
      "terminal_status": "<string>",
      "time_in_force": "<string>",
      "type": "<string>"
    }
  ],
  "$schema": "<string>"
}

Authorizations

x-qfex-hmac-signature
string
header
required

HMAC-SHA256 signature (hex-encoded).

x-qfex-nonce
string
header
required

Unique request nonce (hex encoded, max 100 characters).

x-qfex-public-key
string
header
required

QFEX API Authentication requires four headers:

  • x-qfex-public-key: Your public API key
  • x-qfex-hmac-signature: HMAC signature of the request (hex encoded)
  • x-qfex-nonce: Unique nonce for the request (hex encoded, max 100 characters)
  • x-qfex-timestamp: Unix timestamp of the request

All four headers are required for authentication.

Signature Generation:

  1. Generate a cryptographically secure random nonce (hex encoded, max 100 characters) and capture the current Unix timestamp.
  2. Build the string ${nonce}:${unix_ts} and compute an HMAC-SHA256 using your secret key.
  3. Hex-encode the HMAC result to get the signature.
  4. Send the auth payload with all four headers. The nonce must be unique within a 15 minute window.

Important: The signature itself must be hex-encoded before being sent in the x-qfex-hmac-signature header.

x-qfex-timestamp
string
header
required

Unix timestamp (seconds since epoch).

Query Parameters

symbol
string
start
string<date-time>
end
string<date-time>
limit
integer<int64>
default:100
Required range: 1 <= x <= 1000
offset
integer<int64>
default:0
Required range: x >= 0

Response

OK

count
integer<int64>
required
data
object[] | null
required
$schema
string<uri>

A URL to the JSON Schema for this object.

Example:

"https://api.qfex.com/schemas/HistoricOrdersResponseBody.json"